<script lang="ts">
  import { type EventSettings, GetEventSettings, GetEnvironmentTopology } from '@models/EventSettings';
  import Topology from '@components/Topology/Topology.svelte';
  import { team, eventId } from '@stores';

  let eventSettings = GetEventSettings($eventId);
</script>

{#await eventSettings}
  <p>Loading...</p>
{:then ev}
  {#if GetEnvironmentTopology(ev)}
    <div class="d-flex min-vh-100 p-4">
      <Topology team={$team} autoResize staticCanvas nodes={GetEnvironmentTopology(ev)} />
    </div>
  {:else}
    <p>No topology is configured for this event</p>
  {/if}
{:catch e}
  <h1>Event not found!</h1>
  <p>We couldn't find your selected event; please select one from the NavBar!</p>
{/await}
